# std::gslice_array<T>::operator=

From cppreference.com
< cpp‎ | numeric‎ | valarray‎ | gslice array

void operator=( const T& value ) const; | (1) |
void operator=( const std::valarray <T>& val_arr ) const; | (2) |
const gslice_array& operator=( const gslice_array& sl_arr) const; | (3) | (since C++11)

Assigns values to all referred elements.

1) Assigns `value` to all of the elements.
2) Assigns the elements of `val_arr` to the referred to elements of *this.
3) Assigns the selected elements from `sl_arr` to the referred to elements of *this.

### Parameters

value | - | a value to assign to all of the referred elements
val_arr | - | std::valarray to assign
sl_arr | - | std::gslice_array to assign

### Return value

1-2) (none)
3) *this

### Exceptions

(none)

### Example

| This section is incomplete Reason: no example

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/numeric/valarray/gslice_array/operator%3D&oldid=61555"